import { Observable } from 'rxjs';
export declare function withTimeout<T>(promise: Promise<T>, timeout: number, abortController?: AbortController): Promise<T>;
export declare function promiseToObservable<T>(promiseFactory: () => Promise<T>): Observable<T>;
export declare function convertTimeToMilliseconds(timeValue: string | number): number;
export declare function debounce(func: any, timeout?: number): (...args: any[]) => void;
